%global gittagversion 1.4.0
%global gittag v%{?gittagversion}

Name:           pinnwand
Version:        %{?gittagversion}
Release:        1%{?dist}
Summary:        Straightforward pastebin software

License:        MIT
URL:            https://github.com/supakeen/pinnwand

Source:         %{url}/archive/%{gittag}/%{name}-%{version}.tar.gz
Source:         pinnwand.service 

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  systemd-rpm-macros

%global _description %{expand:
pinnwand is Python pastebin software that tried to keep it simple but got a
little more complex
}

%description %_description

%prep
%autosetup -p 1 -n pinnwand-%{version}
sed -i 's/docutils = "^0.19/docutils = ">=0.19/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pinnwand


install -Dpm 0644 %{_sourcedir}/pinnwand.service %{buildroot}%{_unitdir}/%{name}.service
install -Dpm 0644 etc/pinnwand.toml-example %{buildroot}%{_sysconfdir}/%{name}/%{name}.toml

%check
%pytest

%files -f %{pyproject_files}
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_unitdir}/pinnwand.service
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.toml



%changelog
* Thu Aug 03 2023 Neil Hanlon <neil@shrug.pw> - 1.4.0-1
- Update to 1.4.0

* Sun Feb 20 2022 supakeen <cmdr@supakeen.com> - 1.3.2-1
- Initial version of the package.
